Results 1 to 5 of 5

Thread: WPSCAN ERROR version 2.0rNA

Hybrid View

  1. #1
    Just burned his ISO
    Join Date
    Oct 2012
    Posts
    1

    Default WPSCAN ERROR version 2.0rNA

    I updated the wpscan to v2.0rNA, comes the error
    Code:
    [ERROR] no marshal_dump is defined for class Proc
    Trace :
    /pentest/web/wpscan/lib/cache_file_store.rb:61:in `dump'
    /pentest/web/wpscan/lib/cache_file_store.rb:61:in `block in write_entry'
    /pentest/web/wpscan/lib/cache_file_store.rb:60:in `open'
    /pentest/web/wpscan/lib/cache_file_store.rb:60:in `write_entry'
    /pentest/web/wpscan/lib/browser.rb:116:in `block in setup_cache_handlers'
    /root/.gem/ruby/1.9.2/gems/typhoeus-0.2.4/lib/typhoeus/hydra.rb:214:in `call'
    /root/.gem/ruby/1.9.2/gems/typhoeus-0.2.4/lib/typhoeus/hydra.rb:214:in `handle_request'
    /root/.gem/ruby/1.9.2/gems/typhoeus-0.2.4/lib/typhoeus/hydra.rb:187:in `block in get_easy_object'
    /root/.gem/ruby/1.9.2/gems/typhoeus-0.2.4/lib/typhoeus/easy.rb:332:in `call'
    /root/.gem/ruby/1.9.2/gems/typhoeus-0.2.4/lib/typhoeus/easy.rb:332:in `failure'
    /root/.gem/ruby/1.9.2/gems/typhoeus-0.2.4/lib/typhoeus/multi.rb:21:in `multi_perform'
    /root/.gem/ruby/1.9.2/gems/typhoeus-0.2.4/lib/typhoeus/multi.rb:21:in `perform'
    /root/.gem/ruby/1.9.2/gems/typhoeus-0.2.4/lib/typhoeus/hydra.rb:95:in `run'
    /pentest/web/wpscan/lib/wpscan/modules/wp_config_backup.rb:43:in `config_backup'
    wpscan.rb:130:in `<main>'
    How to fix it?

  2. #2
    Just burned his ISO
    Join Date
    Feb 2011
    Posts
    4

    Default Re: WPSCAN ERROR version 2.0rNA

    Hi,

    From the output it looks like you're running Typhoeus version 0.2.4.

    The latest Typhoeus gem version is 0.4.2.

    I think upgrading the Typhoeus gem should fix your problem.

    "sudo gem update typhoeus"

    If you have any further issues, please open an Issue on our github page [0].

    Thanks,
    Ryan

    [0] http://wpscan.org/

  3. #3
    Just burned his ISO
    Join Date
    Jun 2012
    Posts
    1

    Default Re: WPSCAN ERROR version 2.0rNA

    I tried the command, but the result is 'Nothing to update'

  4. #4
    Just burned his ISO
    Join Date
    Feb 2011
    Posts
    4

    Default Re: WPSCAN ERROR version 2.0rNA

    Could you try:

    "sudo gem update --user-install typhoeus"

  5. #5
    Just burned their ISO
    Join Date
    Feb 2013
    Posts
    1

    Cool Re: WPSCAN ERROR version 2.0rNA


    try this it worked for me

    "sudo gem install typhoeus -v 0.4.2"


Similar Threads

  1. wpscan get error after update
    By hazerwin in forum BackTrack 5 Bugs
    Replies: 1
    Last Post: 10-15-2012, 04:02 PM
  2. [ERROR] Install missing ruby gem when running wpscan
    By abraoximenes in forum BackTrack 5 Bugs
    Replies: 1
    Last Post: 10-03-2012, 02:32 PM
  3. use of wpscan
    By bmike1 in forum BackTrack 5 How-To's
    Replies: 1
    Last Post: 01-16-2012, 08:25 AM
  4. WUSB54GC version 3 error
    By genes89 in forum OLD BT3final Support
    Replies: 0
    Last Post: 04-13-2009, 12:53 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •